
QGIS Application - Bug report #21737

QGIS Crash with excessively long tooltip

2019-04-02 04:23 PM - Brett Carlock

Status: Closed

Priority: High

Assignee:

Category: Map Tools

Affected QGIS version:3.6.1 Regression?: No

Operating System: Windows 10 x64 Pro (1809 - 17763.404) Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 29552

Description

When hovering on a gpkg layer with a filter of the following, QGIS will hard-crash every time when attempting to draw the tooltip upon

hover of that layer.

" 

"FID" NOT IN

('5','20','21','78','87','88','120','141','144','148','157','173','180','184','186','189','191','195','205','211','221','222','223','225','228','234','237','240','243

','240','243','244','245','249','256','258','261','264','268','306','307','308','318','320','323','337','342','347','353','361','362','366','370','371','372','373','377','383','389','393','395','398','400','401','403','417','422','424','430','437','438','439','445','447','448','450','457','461','466','467','471','478

'372','373','377','383','389','393','395','398','400','401','403','417','422','424','430','437','438','439','445','447','448','450','457','461','466','467','471','478','481','482','483','493','494','496','497','502','503','505','515','516','519','522','524','528','529','530','531','542','546','547','550','554','558','559','562','563','565','567','570','572','573','574','575','576','582','585','590','595','596','597','598','599','601','603','606','607','611','612','6

67','471','478','481','482','483','493','494','496','497','502','503','505','515','516','519','522','524','528','529','530','531','542','546','547','550','554','558','559','562','563','565','567','570','572','573','574','575','576','582','585','590','595','596','597','598','599','601','603','606','607','611','612','614','615','616','618','619','620','622','623','624','629','632','633','635','636','638','641','646','650','651','652','653','654','655','657','658','659','666','667','668','669','672','673','676','678','679','680','681','684','686','687','692','693','694','695','696','697','699','701','704','706','711'

0','554','558','559','562','563','565','567','570','572','573','574','575','576','582','585','590','595','596','597','598','599','601','603','606','607','611','612','614','615','616','618','619','620','622','623','624','629','632','633','635','636','638','641','646','650','651','652','653','654','655','657','658','659','666','667','668','669','672','673','676','678','679','680','681','684','686','687','692','693','694','695','696','697','699','701','704','706','711','716','719','722','724','730','732','733','735','738','739','740','745','747','752','753','757','760','764','765','767','768','769','771','774','776','777','778','779','780','794','795','799','800','801','802','803','804','805','807','809','812','814','816','822','824','825','826','828','829','830','

','611','612','614','615','616','618','619','620','622','623','624','629','632','633','635','636','638','641','646','650','651','652','653','654','655','657','658','659','666','667','668','669','672','673','676','678','679','680','681','684','686','687','692','693','694','695','696','697','699','701','704','706','711','716','719','722','724','730','732','733','735','738','739','740','745','747','752','753','757','760','764','765','767','768','769','771','774','776','777','778','779','780','794','795','799','800','801','802','803','804','805','807','809','812','814','816','822','824','825','826','828','829','830','831','833','834','836','840','842','844','848','851','854','856','858','859','861','862','863','868','869','877','879','880','881','882','883','885','889','892','899','901','902','904','907','908','912','913','914','915','918','919','921','924','925','926','930','931','932','934','935','936','937','939

'657','658','659','666','667','668','669','672','673','676','678','679','680','681','684','686','687','692','693','694','695','696','697','699','701','704','706','711','716','719','722','724','730','732','733','735','738','739','740','745','747','752','753','757','760','764','765','767','768','769','771','774','776','777','778','779','780','794','795','799','800','801','802','803','804','805','807','809','812','814','816','822','824','825','826','828','829','830','831','833','834','836','840','842','844','848','851','854','856','858','859','861','862','863','868','869','877','879','880','881','882','883','885','889','892','899','901','902','904','907','908','912','913','914','915','918','919','921','924','925','926','930','931','932','934','935','936','937','939','941','945','946','948','949','953','954','955','958','959','960','961','962','963','966','967','968','969','970','974','976','977','978','980','981','982','986','988','989','991','994','995','996','997','1000','1002','1003','1007','1014','1015','1017','1018','1019','1026','1030','1032','1033','1034',

04','706','711','716','719','722','724','730','732','733','735','738','739','740','745','747','752','753','757','760','764','765','767','768','769','771','774','776','777','778','779','780','794','795','799','800','801','802','803','804','805','807','809','812','814','816','822','824','825','826','828','829','830','831','833','834','836','840','842','844','848','851','854','856','858','859','861','862','863','868','869','877','879','880','881','882','883','885','889','892','899','901','902','904','907','908','912','913','914','915','918','919','921','924','925','926','930','931','932','934','935','936','937','939','941','945','946','948','949','953','954','955','958','959','960','961','962','963','966','967','968','969','970','974','976','977','978','980','981','982','986','988','989','991','994','995','996','997','1000','1002','1003','1007','1014','1015','1017','1018','1019','1026','1030','1032','1033','1034','1035','1036','1037','1038','1040','1041','1042','1043','1044','1046','1047','1050','1052','1056','1062','1063','1064','1065','1067','1069','1070','1074','1075','1076','1077','1079','1080','1081','1082','1084','1085','1086','1089','1091','1092','1093','1095','1098','1099','1100','1102','1103','1104','1

1','774','776','777','778','779','780','794','795','799','800','801','802','803','804','805','807','809','812','814','816','822','824','825','826','828','829','830','831','833','834','836','840','842','844','848','851','854','856','858','859','861','862','863','868','869','877','879','880','881','882','883','885','889','892','899','901','902','904','907','908','912','913','914','915','918','919','921','924','925','926','930','931','932','934','935','936','937','939','941','945','946','948','949','953','954','955','958','959','960','961','962','963','966','967','968','969','970','974','976','977','978','980','981','982','986','988','989','991','994','995','996','997','1000','1002','1003','1007','1014','1015','1017','1018','1019','1026','1030','1032','1033','1034','1035','1036','1037','1038','1040','1041','1042','1043','1044','1046','1047','1050','1052','1056','1062','1063','1064','1065','1067','1069','1070','1074','1075','1076','1077','1079','1080','1081','1082','1084','1085','1086','1089','1091','1092','1093','1095','1098','1099','1100','1102','1103','1104','1105','1107','1113','1117','1118','1128','1129','1131','1132','1135','1136','1137','1139','1140','1141','1142','1143','1144','1145','1146','1149','1150','1151','1154','1156','1157','1158','1162','1163','1164','1165','1167','1168','1169','1170','1171','1172','1173','1174','1176','1177','1178','1179','11

','829','830','831','833','834','836','840','842','844','848','851','854','856','858','859','861','862','863','868','869','877','879','880','881','882','883','885','889','892','899','901','902','904','907','908','912','913','914','915','918','919','921','924','925','926','930','931','932','934','935','936','937','939','941','945','946','948','949','953','954','955','958','959','960','961','962','963','966','967','968','969','970','974','976','977','978','980','981','982','986','988','989','991','994','995','996','997','1000','1002','1003','1007','1014','1015','1017','1018','1019','1026','1030','1032','1033','1034','1035','1036','1037','1038','1040','1041','1042','1043','1044','1046','1047','1050','1052','1056','1062','1063','1064','1065','1067','1069','1070','1074','1075','1076','1077','1079','1080','1081','1082','1084','1085','1086','1089','1091','1092','1093','1095','1098','1099','1100','1102','1103','1104','1105','1107','1113','1117','1118','1128','1129','1131','1132','1135','1136','1137','1139','1140','1141','1142','1143','1144','1145','1146','1149','1150','1151','1154','1156','1157','1158','1162','1163','1164','1165','1167','1168','1169','1170','1171','1172','1173','1174','1176','1177','1178','1179','1180','1181','1182','1183','1185','1186','1187','1189','1191','1192','1193','1194','1196','1202','1203','1204','1205','1207','1208','1210','1213','1214','1216','1217','1220','1221','1222','1223','1224','1226','1227','1229','1230','1234','1235','1236','1237','1238','1239','1240','1241','1242','1243','1246

'883','885','889','892','899','901','902','904','907','908','912','913','914','915','918','919','921','924','925','926','930','931','932','934','935','936','937','939','941','945','946','948','949','953','954','955','958','959','960','961','962','963','966','967','968','969','970','974','976','977','978','980','981','982','986','988','989','991','994','995','996','997','1000','1002','1003','1007','1014','1015','1017','1018','1019','1026','1030','1032','1033','1034','1035','1036','1037','1038','1040','1041','1042','1043','1044','1046','1047','1050','1052','1056','1062','1063','1064','1065','1067','1069','1070','1074','1075','1076','1077','1079','1080','1081','1082','1084','1085','1086','1089','1091','1092','1093','1095','1098','1099','1100','1102','1103','1104','1105','1107','1113','1117','1118','1128','1129','1131','1132','1135','1136','1137','1139','1140','1141','1142','1143','1144','1145','1146','1149','1150','1151','1154','1156','1157','1158','1162','1163','1164','1165','1167','1168','1169','1170','1171','1172','1173','1174','1176','1177','1178','1179','1180','1181','1182','1183','1185','1186','1187','1189','1191','1192','1193','1194','1196','1202','1203','1204','1205','1207','1208','1210','1213','1214','1216','1217','1220','1221','1222','1223','1224','1226','1227','1229','1230','1234','1235','1236','1237','1238','1239','1240','1241','1242','1243','1246','1247','1250','1261','1262','1263','1264','1265','1266','1267','1268','1269','1270','1272','1273','1274','1276','1277','1278','1279','1280','1281','1284','1286','1287','1298','1299','1300','1301','1303','1305','1307','1308','1309','1310','1311','1312','1313','1316','1318','1319','1320','1321','1323','

36','937','939','941','945','946','948','949','953','954','955','958','959','960','961','962','963','966','967','968','969','970','974','976','977','978','980','981','982','986','988','989','991','994','995','996','997','1000','1002','1003','1007','1014','1015','1017','1018','1019','1026','1030','1032','1033','1034','1035','1036','1037','1038','1040','1041','1042','1043','1044','1046','1047','1050','1052','1056','1062','1063','1064','1065','1067','1069','1070','1074','1075','1076','1077','1079','1080','1081','1082','1084','1085','1086','1089','1091','1092','1093','1095','1098','1099','1100','1102','1103','1104','1105','1107','1113','1117','1118','1128','1129','1131','1132','1135','1136','1137','1139','1140','1141','1142','1143','1144','1145','1146','1149','1150','1151','1154','1156','1157','1158','1162','1163','1164','1165','1167','1168','1169','1170','1171','1172','1173','1174','1176','1177','1178','1179','1180','1181','1182','1183','1185','1186','1187','1189','1191','1192','1193','1194','1196','1202','1203','1204','1205','1207','1208','1210','1213','1214','1216','1217','1220','1221','1222','1223','1224','1226','1227','1229','1230','1234','1235','1236','1237','1238','1239','1240','1241','1242','1243','1246','1247','1250','1261','1262','1263','1264','1265','1266','1267','1268','1269','1270','1272','1273','1274','1276','1277','1278','1279','1280','1281','1284','1286','1287','1298','1299','1300','1301','1303','1305','1307','1308','1309','1310','1311','1312','1313','1316','1318','1319','1320','1321','1323','1324','1325','1326','1328','1329','1335','1336','1337','1339','1341','1342','1343','1344','1346','1348','1350','1351','1358','1360','1362','1363','1364','1365','1366','1368','1369','1370','1374','1375','1378','1379','1380','1381','1382','1386','1390','1394','1395','1396','1397','1398','1399','1400','14

8','980','981','982','986','988','989','991','994','995','996','997','1000','1002','1003','1007','1014','1015','1017','1018','1019','1026','1030','1032','1033','1034','1035','1036','1037','1038','1040','1041','1042','1043','1044','1046','1047','1050','1052','1056','1062','1063','1064','1065','1067','1069','1070','1074','1075','1076','1077','1079','1080','1081','1082','1084','1085','1086','1089','1091','1092','1093','1095','1098','1099','1100','1102','1103','1104','1105','1107','1113','1117','1118','1128','1129','1131','1132','1135','1136','1137','1139','1140','1141','1142','1143','1144','1145','1146','1149','1150','1151','1154','1156','1157','1158','1162','1163','1164','1165','1167','1168','1169','1170','1171','1172','1173','1174','1176','1177','1178','1179','1180','1181','1182','1183','1185','1186','1187','1189','1191','1192','1193','1194','1196','1202','1203','1204','1205','1207','1208','1210','1213','1214','1216','1217','1220','1221','1222','1223','1224','1226','1227','1229','1230','1234','1235','1236','1237','1238','1239','1240','1241','1242','1243','1246','1247','1250','1261','1262','1263','1264','1265','1266','1267','1268','1269','1270','1272','1273','1274','1276','1277','1278','1279','1280','1281','1284','1286','1287','1298','1299','1300','1301','1303','1305','1307','1308','1309','1310','1311','1312','1313','1316','1318','1319','1320','1321','1323','1324','1325','1326','1328','1329','1335','1336','1337','1339','1341','1342','1343','1344','1346','1348','1350','1351','1358','1360','1362','1363','1364','1365','1366','1368','1369','1370','1374','1375','1378','1379','1380','1381','1382','1386','1390','1394','1395','1396','1397','1398','1399','1400','1401','1403','1404','1406','1407','1411','1412','1416','1417','1419','1420','1422','1423','1424','1425','1426','1427','1428','1429','1431','1432','1434','1435','1436','1437','1438','1439','1440','1441','1443','1444','1445','1446','1447','1449','1450','1452','1456','1457','1458','1459','1460','1461',

1032','1033','1034','1035','1036','1037','1038','1040','1041','1042','1043','1044','1046','1047','1050','1052','1056','1062','1063','1064','1065','1067','1069','1070','1074','1075','1076','1077','1079','1080','1081','1082','1084','1085','1086','1089','1091','1092','1093','1095','1098','1099','1100','1102','1103','1104','1105','1107','1113','1117','1118','1128','1129','1131','1132','1135','1136','1137','1139','1140','1141','1142','1143','1144','1145','1146','1149','1150','1151','1154','1156','1157','1158','1162','1163','1164','1165','1167','1168','1169','1170','1171','1172','1173','1174','1176','1177','1178','1179','1180','1181','1182','1183','1185','1186','1187','1189','1191','1192','1193','1194','1196','1202','1203','1204','1205','1207','1208','1210','1213','1214','1216','1217','1220','1221','1222','1223','1224','1226','1227','1229','1230','1234','1235','1236','1237','1238','1239','1240','1241','1242','1243','1246','1247','1250','1261','1262','1263','1264','1265','1266','1267','1268','1269','1270','1272','1273','1274','1276','1277','1278','1279','1280','1281','1284','1286','1287','1298','1299','1300','1301','1303','1305','1307','1308','1309','1310','1311','1312','1313','1316','1318','1319','1320','1321','1323','1324','1325','1326','1328','1329','1335','1336','1337','1339','1341','1342','1343','1344','1346','1348','1350','1351','1358','1360','1362','1363','1364','1365','1366','1368','1369','1370','1374','1375','1378','1379','1380','1381','1382','1386','1390','1394','1395','1396','1397','1398','1399','1400','1401','1403','1404','1406','1407','1411','1412','1416','1417','1419','1420','1422','1423','1424','1425','1426','1427','1428','1429','1431','1432','1434','1435','1436','1437','1438','1439','1440','1441','1443','1444','1445','1446','1447','1449','1450','1452','1456','1457','1458','1459','1460','1461','1462','1463','1464','1465','1466','1469','1470','1471','1472','1473','1474','1475','1476','1477','1479','1480','1481','1482','1483','1484','1485','1486','1487','1488','1489','1490','1491','1492','1493','1494','1495','1496','1499','1500','1501','1509','1510','1511','1512','1513','1514','1

65','1067','1069','1070','1074','1075','1076','1077','1079','1080','1081','1082','1084','1085','1086','1089','1091','1092','1093','1095','1098','1099','1100','1102','1103','1104','1105','1107','1113','1117','1118','1128','1129','1131','1132','1135','1136','1137','1139','1140','1141','1142','1143','1144','1145','1146','1149','1150','1151','1154','1156','1157','1158','1162','1163','1164','1165','1167','1168','1169','1170','1171','1172','1173','1174','1176','1177','1178','1179','1180','1181','1182','1183','1185','1186','1187','1189','1191','1192','1193','1194','1196','1202','1203','1204','1205','1207','1208','1210','1213','1214','1216','1217','1220','1221','1222','1223','1224','1226','1227','1229','1230','1234','1235','1236','1237','1238','1239','1240','1241','1242','1243','1246','1247','1250','1261','1262','1263','1264','1265','1266','1267','1268','1269','1270','1272','1273','1274','1276','1277','1278','1279','1280','1281','1284','1286','1287','1298','1299','1300','1301','1303','1305','1307','1308','1309','1310','1311','1312','1313','1316','1318','1319','1320','1321','1323','1324','1325','1326','1328','1329','1335','1336','1337','1339','1341','1342','1343','1344','1346','1348','1350','1351','1358','1360','1362','1363','1364','1365','1366','1368','1369','1370','1374','1375','1378','1379','1380','1381','1382','1386','1390','1394','1395','1396','1397','1398','1399','1400','1401','1403','1404','1406','1407','1411','1412','1416','1417','1419','1420','1422','1423','1424','1425','1426','1427','1428','1429','1431','1432','1434','1435','1436','1437','1438','1439','1440','1441','1443','1444','1445','1446','1447','1449','1450','1452','1456','1457','1458','1459','1460','1461','1462','1463','1464','1465','1466','1469','1470','1471','1472','1473','1474','1475','1476','1477','1479','1480','1481','1482','1483','1484','1485','1486','1487','1488','1489','1490','1491','1492','1493','1494','1495','1496','1499','1500','1501','1509','1510','1511','1512','1513','1514','1515','1518','1520','1521','1524','1525','1526','1527','1528','1529','1530','1532','1533','1534','1535','1536','1537','1538','1539','1540','1541','1549','1550','1551','1552','1554','1555','1556','1557','1558','1559','1560','1561','1562','1563','1564','1565','1566','1567','1568','1569'
58','2059','2060','2061','2062','2063','2066','2067','2068','2074','2075','2076','2077','2078','2079','2080','2081','2082','2083','2084','2085','2086','2087','2088','2089','2090','2091','2092','2093','2094','2095','2096','2097','2098','2099','2100','2101','2102','2103','2104','2105','2106','2107','2108','2109','2110','2111','2112','2113','2114','2115','2116','2117','2118','2119','2120','2121','2122','2123','2124','2125','2126','2127','2128','2129','2130','2131','2132','2133','2134','2135','2136','2137','2138','2139','2140','2141','2142','2143','2144','2145','2146','2147','2168','2169','2170','2171','2172','2173','2174','2177','2178','2179','2180','2181','2182','2183','2184','2185','2186','2187','2188','2189','2190','2191','2192','2193','2194','2195','2196','2197','2198','2199','2200','2201','2202','2203','2204','2205','2206','2207','2208','2209','2210','2211','2212','2213','2214','2215','2216','2217','2218','2219','2220','2221','2222','2223','2224','2225','2226','2227','2228','2229','2230','2231','2232','2233','2234','2235','2236','2237','2238','2239','2240','2241','2242','2243','2244','2245','2246','2247','2248','2249','2250','2251','2252','2253','2254','2255','2256','2257','2258','2259','2260','2261','2262','2263','2264','2265','2266','2267','2268','2269','2270','2271','2272','2273','2274','2275','2276','2277','2278','2279','2280','2281','2282','2283','2284','2285','2286','2287','2288','2289','2290','2291','2292','2293','2294','2295','2296','2297','2298','2299','2300','2301','2302','2303','2304','2305','2306','2307','2308','2309','2310','2311','2312','2313','2314','2315','2316','2317','2318','2319','2320','2321','2322','2323','2324','2325','2326','2327','2328','2329','2330','2331','2332','2333','2334','2335','2336','2337','2338','2339','2340','2341','2342','2343','2344','2345','2346','2347','2348','2349','2350','2351','2352','2353','2354','2355','2356','2357','2358','2359','2360','2361','2362','2363','2364','2365','2366','2367','2368','2369','2370','2371','2372','2373','2374')

','2086','2087','2088','2089','2090','2091','2092','2093','2094','2095','2096','2097','2098','2099','2100','2101','2102','2103','2104','2105','2106','2107','2108','2109','2110','2111','2112','2113','2114','2115','2116','2117','2118','2119','2120','2121','2122','2123','2124','2125','2126','2127','2128','2129','2130','2131','2132','2133','2134','2135','2136','2137','2138','2139','2140','2141','2142','2143','2144','2145','2146','2147','2168','2169','2170','2171','2172','2173','2174','2177','2178','2179','2180','2181','2182','2183','2184','2185','2186','2187','2188','2189','2190','2191','2192','2193','2194','2195','2196','2197','2198','2199','2200','2201','2202','2203','2204','2205','2206','2207','2208','2209','2210','2211','2212','2213','2214','2215','2216','2217','2218','2219','2220','2221','2222','2223','2224','2225','2226','2227','2228','2229','2230','2231','2232','2233','2234','2235','2236','2237','2238','2239','2240','2241','2242','2243','2244','2245','2246','2247','2248','2249','2250','2251','2252','2253','2254','2255','2256','2257','2258','2259','2260','2261','2262','2263','2264','2265','2266','2267','2268','2269','2270','2271','2272','2273','2274','2275','2276','2277','2278','2279','2280','2281','2282','2283','2284','2285','2286','2287','2288','2289','2290','2291','2292','2293','2294','2295','2296','2297','2298','2299','2300','2301','2302','2303','2304','2305','2306','2307','2308','2309','2310','2311','2312','2313','2314','2315','2316','2317','2318','2319','2320','2321','2322','2323','2324','2325','2326','2327','2328','2329','2330','2331','2332','2333','2334','2335','2336','2337','2338','2339','2340','2341','2342','2343','2344','2345','2346','2347','2348','2349','2350','2351','2352','2353','2354','2355','2356','2357','2358','2359','2360','2361','2362','2363','2364','2365','2366','2367','2368','2369','2370','2371','2372','2373','2374')

106','2107','2108','2109','2110','2111','2112','2113','2114','2115','2116','2117','2118','2119','2120','2121','2122','2123','2124','2125','2126','2127','2128','2129','2130','2131','2132','2133','2134','2135','2136','2137','2138','2139','2140','2141','2142','2143','2144','2145','2146','2147','2168','2169','2170','2171','2172','2173','2174','2177','2178','2179','2180','2181','2182','2183','2184','2185','2186','2187','2188','2189','2190','2191','2192','2193','2194','2195','2196','2197','2198','2199','2200','2201','2202','2203','2204','2205','2206','2207','2208','2209','2210','2211','2212','2213','2214','2215','2216','2217','2218','2219','2220','2221','2222','2223','2224','2225','2226','2227','2228','2229','2230','2231','2232','2233','2234','2235','2236','2237','2238','2239','2240','2241','2242','2243','2244','2245','2246','2247','2248','2249','2250','2251','2252','2253','2254','2255','2256','2257','2258','2259','2260','2261','2262','2263','2264','2265','2266','2267','2268','2269','2270','2271','2272','2273','2274','2275','2276','2277','2278','2279','2280','2281','2282','2283','2284','2285','2286','2287','2288','2289','2290','2291','2292','2293','2294','2295','2296','2297','2298','2299','2300','2301','2302','2303','2304','2305','2306','2307','2308','2309','2310','2311','2312','2313','2314','2315','2316','2317','2318','2319','2320','2321','2322','2323','2324','2325','2326','2327','2328','2329','2330','2331','2332','2333','2334','2335','2336','2337','2338','2339','2340','2341','2342','2343','2344','2345','2346','2347','2348','2349','2350','2351','2352','2353','2354','2355','2356','2357','2358','2359','2360','2361','2362','2363','2364','2365','2366','2367','2368','2369','2370','2371','2372','2373','2374')

6','2127','2128','2129','2130','2131','2132','2133','2134','2135','2136','2137','2138','2139','2140','2141','2142','2143','2144','2145','2146','2147','2168','2169','2170','2171','2172','2173','2174','2177','2178','2179','2180','2181','2182','2183','2184','2185','2186','2187','2188','2189','2190','2191','2192','2193','2194','2195','2196','2197','2198','2199','2200','2201','2202','2203','2204','2205','2206','2207','2208','2209','2210','2211','2212','2213','2214','2215','2216','2217','2218','2219','2220','2221','2222','2223','2224','2225','2226','2227','2228','2229','2230','2231','2232','2233','2234','2235','2236','2237','2238','2239','2240','2241','2242','2243','2244','2245','2246','2247','2248','2249','2250','2251','2252','2253','2254','2255','2256','2257','2258','2259','2260','2261','2262','2263','2264','2265','2266','2267','2268','2269','2270','2271','2272','2273','2274','2275','2276','2277','2278','2279','2280','2281','2282','2283','2284','2285','2286','2287','2288','2289','2290','2291','2292','2293','2294','2295','2296','2297','2298','2299','2300','2301','2302','2303','2304','2305','2306','2307','2308','2309','2310','2311','2312','2313','2314','2315','2316','2317','2318','2319','2320','2321','2322','2323','2324','2325','2326','2327','2328','2329','2330','2331','2332','2333','2334','2335','2336','2337','2338','2339','2340','2341','2342','2343','2344','2345','2346','2347','2348','2349','2350','2351','2352','2353','2354','2355','2356','2357','2358','2359','2360','2361','2362','2363','2364','2365','2366','2367','2368','2369','2370','2371','2372','2373','2374')

'2147','2168','2169','2170','2171','2172','2173','2174','2177','2178','2179','2180','2181','2182','2183','2184','2185','2186','2187','2188','2189','2190','2191','2192','2193','2194','2195','2196','2197','2198','2199','2200','2201','2202','2203','2204','2205','2206','2207','2208','2209','2210','2211','2212','2213','2214','2215','2216','2217','2218','2219','2220','2221','2222','2223','2224','2225','2226','2227','2228','2229','2230','2231','2232','2233','2234','2235','2236','2237','2238','2239','2240','2241','2242','2243','2244','2245','2246','2247','2248','2249','2250','2251','2252','2253','2254','2255','2256','2257','2258','2259','2260','2261','2262','2263','2264','2265','2266','2267','2268','2269','2270','2271','2272','2273','2274','2275','2276','2277','2278','2279','2280','2281','2282','2283','2284','2285','2286','2287','2288','2289','2290','2291','2292','2293','2294','2295','2296','2297','2298','2299','2300','2301','2302','2303','2304','2305','2306','2307','2308','2309','2310','2311','2312','2313','2314','2315','2316','2317','2318','2319','2320','2321','2322','2323','2324','2325','2326','2327','2328','2329','2330','2331','2332','2333','2334','2335','2336','2337','2338','2339','2340','2341','2342','2343','2344','2345','2346','2347','2348','2349','2350','2351','2352','2353','2354','2355','2356','2357','2358','2359','2360','2361','2362','2363','2364','2365','2366','2367','2368','2369','2370','2371','2372','2373','2374')

89','2190','2191','2192','2193','2194','2195','2196','2197','2198','2199','2200','2201','2202','2203','2204','2205','2206','2207','2208','2209','2210','2211','2212','2213','2214','2215','2216','2217','2218','2219','2220','2221','2222','2223','2224','2225','2226','2227','2228','2229','2230','2231','2232','2233','2234','2235','2236','2237','2238','2239','2240','2241','2242','2243','2244','2245','2246','2247','2248','2249','2250','2251','2252','2253','2254','2255','2256','2257','2258','2259','2260','2261','2262','2263','2264','2265','2266','2267','2268','2269','2270','2271','2272','2273','2274','2275','2276','2277','2278','2279','2280','2281','2282','2283','2284','2285','2286','2287','2288','2289','2290','2291','2292','2293','2294','2295','2296','2297','2298','2299','2300','2301','2302','2303','2304','2305','2306','2307','2308','2309','2310','2311','2312','2313','2314','2315','2316','2317','2318','2319','2320','2321','2322','2323','2324','2325','2326','2327','2328','2329','2330','2331','2332','2333','2334','2335','2336','2337','2338','2339','2340','2341','2342','2343','2344','2345','2346','2347','2348','2349','2350','2351','2352','2353','2354','2355','2356','2357','2358','2359','2360','2361','2362','2363','2364','2365','2366','2367','2368','2369','2370','2371','2372','2373','2374')

','2210','2211','2212','2213','2214','2215','2216','2217','2218','2219','2220','2221','2222','2223','2224','2225','2226','2227','2228','2229','2230','2231','2232','2233','2234','2235','2236','2237','2238','2239','2240','2241','2242','2243','2244','2245','2246','2247','2248','2249','2250','2251','2252','2253','2254','2255','2256','2257','2258','2259','2260','2261','2262','2263','2264','2265','2266','2267','2268','2269','2270','2271','2272','2273','2274','2275','2276','2277','2278','2279','2280','2281','2282','2283','2284','2285','2286','2287','2288','2289','2290','2291','2292','2293','2294','2295','2296','2297','2298','2299','2300','2301','2302','2303','2304','2305','2306','2307','2308','2309','2310','2311','2312','2313','2314','2315','2316','2317','2318','2319','2320','2321','2322','2323','2324','2325','2326','2327','2328','2329','2330','2331','2332','2333','2334','2335','2336','2337','2338','2339','2340','2341','2342','2343','2344','2345','2346','2347','2348','2349','2350','2351','2352','2353','2354','2355','2356','2357','2358','2359','2360','2361','2362','2363','2364','2365','2366','2367','2368','2369','2370','2371','2372','2373','2374')

230','2231','2232','2233','2234','2235','2236','2237','2238','2239','2240','2241','2242','2243','2244','2245','2246','2247','2248','2249','2250','2251','2252','2253','2254','2255','2256','2257','2258','2259','2260','2261','2262','2263','2264','2265','2266','2267','2268','2269','2270','2271','2272','2273','2274','2275','2276','2277','2278','2279','2280','2281','2282','2283','2284','2285','2286','2287','2288','2289','2290','2291','2292','2293','2294','2295','2296','2297','2298','2299','2300','2301','2302','2303','2304','2305','2306','2307','2308','2309','2310','2311','2312','2313','2314','2315','2316','2317','2318','2319','2320','2321','2322','2323','2324','2325','2326','2327','2328','2329','2330','2331','2332','2333','2334','2335','2336','2337','2338','2339','2340','2341','2342','2343','2344','2345','2346','2347','2348','2349','2350','2351','2352','2353','2354','2355','2356','2357','2358','2359','2360','2361','2362','2363','2364','2365','2366','2367','2368','2369','2370','2371','2372','2373','2374')

0','2251','2252','2253','2254','2255','2256','2257','2258','2259','2260','2261','2262','2263','2264','2265','2266','2267','2268','2269','2270','2271','2272','2273','2274','2275','2276','2277','2278','2279','2280','2281','2282','2283','2284','2285','2286','2287','2288','2289','2290','2291','2292','2293','2294','2295','2296','2297','2298','2299','2300','2301','2302','2303','2304','2305','2306','2307','2308','2309','2310','2311','2312','2313','2314','2315','2316','2317','2318','2319','2320','2321','2322','2323','2324','2325','2326','2327','2328','2329','2330','2331','2332','2333','2334','2335','2336','2337','2338','2339','2340','2341','2342','2343','2344','2345','2346','2347','2348','2349','2350','2351','2352','2353','2354','2355','2356','2357','2358','2359','2360','2361','2362','2363','2364','2365','2366','2367','2368','2369','2370','2371','2372','2373','2374')

'2271','2272','2273','2274','2275','2276','2277','2278','2279','2280','2281','2282','2283','2284','2285','2286','2287','2288','2289','2290','2291','2292','2293','2294','2295','2296','2297','2298','2299','2300','2301','2302','2303','2304','2305','2306','2307','2308','2309','2310','2311','2312','2313','2314','2315','2316','2317','2318','2319','2320','2321','2322','2323','2324','2325','2326','2327','2328','2329','2330','2331','2332','2333','2334','2335','2336','2337','2338','2339','2340','2341','2342','2343','2344','2345','2346','2347','2348','2349','2350','2351','2352','2353','2354','2355','2356','2357','2358','2359','2360','2361','2362','2363','2364','2365','2366','2367','2368','2369','2370','2371','2372','2373','2374')

91','2292','2293','2294','2295','2296','2297','2298','2299','2300','2301','2302','2303','2304','2305','2306','2307','2308','2309','2310','2311','2312','2313','2314','2315','2316','2317','2318','2319','2320','2321','2322','2323','2324','2325','2326','2327','2328','2329','2330','2331','2332','2333','2334','2335','2336','2337','2338','2339','2340','2341','2342','2343','2344','2345','2346','2347','2348','2349','2350','2351','2352','2353','2354','2355','2356','2357','2358','2359','2360','2361','2362','2363','2364','2365','2366','2367','2368','2369','2370','2371','2372','2373','2374')

','2312','2313','2314','2315','2316','2317','2318','2319','2320','2321','2322','2323','2324','2325','2326','2327','2328','2329','2330','2331','2332','2333','2334','2335','2336','2337','2338','2339','2340','2341','2342','2343','2344','2345','2346','2347','2348','2349','2350','2351','2352','2353','2354','2355','2356','2357','2358','2359','2360','2361','2362','2363','2364','2365','2366','2367','2368','2369','2370','2371','2372','2373','2374')

332','2333','2334','2335','2336','2337','2338','2339','2340','2341','2342','2343','2344','2345','2346','2347','2348','2349','2350','2351','2352','2353','2354','2355','2356','2357','2358','2359','2360','2361','2362','2363','2364','2365','2366','2367','2368','2369','2370','2371','2372','2373','2374')

2','2353','2354','2355','2356','2357','2358','2359','2360','2361','2362','2363','2364','2365','2366','2367','2368','2369','2370','2371','2372','2373','2374')

'2373','2374')

"

Associated revisions

Revision 2ef99da2 - 2019-04-02 05:18 PM - Jürgen Fischer

legend: truncate excessively long tooltips (fixes #21737)

Revision 7ffc3eff - 2019-04-05 04:11 PM - Jürgen Fischer

legend: truncate excessively long tooltips (fixes #21737)

(cherry picked from commit 2ef99da242feb4013a8abe4ebb543b0f1b3b11f2)

Revision ff166628 - 2019-04-06 07:20 PM - Jürgen Fischer

backports

c77e393ea4 legend: truncate excessively long tooltips (fixes #21737)

88513284d4 fix removal of temporary directories (fixes #21292)

95bd7480d0 postgres provider: use st_estimatedextent only when 'use estimated metadata' is enabled (fixes #21718)

f1dbcc3c53 processing: fix grass' r.quantile parameter (fixes #21751)
c6382553cd don't relink object if just the shared objects/DLL is changed

9aaaad3ab8 trim crssync include directories (followup 8851328)

History

#1 - 2019-04-02 04:30 PM - Giovanni Manghi

- Priority changed from Normal to High

- Category changed from GUI to Map Tools

#2 - 2019-04-02 05:19 PM - Jürgen Fischer

- % Done changed from 0 to 100

- Status changed from Open to Closed

Applied in changeset commit:qgis|2ef99da242feb4013a8abe4ebb543b0f1b3b11f2.
